%define oname system
%define roxname System
%define version 1.9.1
%define cvs 20040420
%define name rox-system

Name:		%name
Version:	%version
Release:	0.%cvs.1mdk
Summary:	System monitor for the ROX graphical desktop
Group:		Graphical desktop/Other
License:	GPL
URL:		http://rox.sourceforge.net/system.html
Source:		http://prdownloads.sourceforge.net/%{name}/%{oname}-%cvs.tar.bz2
Requires:	rox-lib >= 1.9.9
Requires:	python-ctypes
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
System displays information about your system - what processes are running
and the amount of memory they are using, as well as free and used disk space.
It can also be useful for quitting crashed applications.

%prep
%setup -q -n %roxname

%build
cd Messages
./dist
rm -f *.old

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_libdir/apps
cp -a ../%roxname $RPM_BUILD_ROOT%{_libdir}/apps
rm -rf %buildroot%_libdir/apps/%roxname/CVS %buildroot%_libdir/apps/%roxname/Help/CVS %buildroot%_libdir/apps/%roxname/Messages/dist %buildroot%_libdir/apps/%roxname/Messages/*po

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root)
%doc %_libdir/apps/%roxname/Help
%dir %_libdir/apps/%roxname
%dir %_libdir/apps/%roxname/Messages
%lang(fr) %_libdir/apps/%roxname/Messages/fr.gmo
%lang(it) %_libdir/apps/%roxname/Messages/it.gmo
%_libdir/apps/%roxname/.DirIcon
%_libdir/apps/%roxname/*.py
%_libdir/apps/%roxname/App*
%_libdir/apps/%roxname/images

%changelog
* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.9.1-0.20040420.1mdk
- moved to noarch (this is now a Python application)
- CVS snapshot

* Wed Aug 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.9.0-3mdk
- fix file listing
- new gtop

* Thu Jun  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.9.0-2mdk
- new url
- rebuild against new gtop

* Thu Feb 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.9.0-1mdk
- initial package
